Live Keyword Search Volume AI Keyword Data

 ‌
This endpoint provides search volume data for your target keywords, reflecting their estimated usage in AI tools.

For each specified keyword, you will get AI search volume rate for the last month and AI search volume trend for the previous 12 months. The AI Search Volume values are calculated using statistical data from questions in the ‘People Also Ask’ SERP element. Learn more about this metric here.

checked POST
Pricing

Your account will be charged for each request.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute. The maximum number of requests that can be sent simultaneously is limited to 30.

Below you will find a detailed description of the fields you can use for setting a task.

Description of the fields for setting a task:

Field nameTypeDescription
keywordsarray

keywords
required field
UTF-8 encoding
The maximum number of keywords you can specify: 1000;
The maximum number of characters in a single keyword: 250;
The keywords will be converted to lowercase format;

learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

location_namestring

full name of the location
required field if you don't specify location_code
Note: it is required to specify either location_name or location_code
you can receive the list of available locations with their location_name by making a separate request to the
https://api.dataforseo.com/v3/ai_optimization/ai_keyword_data/locations_and_languages
example:
United Kingdom

location_codeinteger

unique location identifier
required field if you don't specify location_name
Note: it is required to specify either location_name or location_code
you can receive the list of available locations with their location_code by making a separate request to the
https://api.dataforseo.com/v3/ai_optimization/ai_keyword_data/locations_and_languages
example:
2840

language_namestring

full name of the language
required field if you don't specify language_code
if you use this field, you don't need to specify language_code
you can receive the list of available languages with their language_name by making a separate request to the
https://api.dataforseo.com/v3/ai_optimization/ai_keyword_data/locations_and_languages
example:
English

language_codestring

language code
required field if you don't specify language_name
if you use this field, you don't need to specify language_name
you can receive the list of available languages with their language_code by making a separate request to the
https://api.dataforseo.com/v3/ai_optimization/ai_keyword_data/locations_and_languages
example:
en

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response

As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        location_codeinteger

location code in a POST array

        language_codestring

language code in a POST array

        items_countinteger

number of results returned in the items array

        itemsarray

contains specified keywords with their AI search volume rates

            keywordstring

specified keyword

            ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

            ai_monthly_searchesarray

monthly AI search volume rates
array of objects with AI search volume rates in a certain month of a year

                yearinteger

year

                monthinteger

month

                ai_search_volumeinteger

AI search volume rate in a certain month of a year
learn more about this metric here


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/ai_optimization/ai_keyword_data/keywords_search_volume/live" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
  {
    "language_name": "English",
    "location_code": 2840,
    "keywords": [
      "iphone",
      "seo"
    ]
  }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

$post_array = array();
// simple way to set a task
$post_array[] = array(
    "language_name" => "English",
    "location_code" => 2840,
    "keywords" => [
        "iphone",
        "seo"
    ]
);
try {
   // POST /v3/ai_optimization/ai_keyword_data/keywords_search_volume/live
   $result = $client->post('/v3/ai_optimization/ai_keyword_data/keywords_search_volume/live', $post_array);
   print_r($result);
   // do something with post result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}
$client = null;
?>
const post_array = [];

post_array.push({
  "language_name": "English",
  "location_code": 2840,
  "keywords": [
    "iphone",
    "seo"
  ]
});

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/ai_optimization/ai_keyword_data/keywords_search_volume/live',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# simple way to set a task
post_data[len(post_data)] = dict(
    language_name="English",
    location_code=2840,
    keywords=[
        "iphone",
        "seo"
    ]
)
# POST /v3/ai_optimization/ai_keyword_data/keywords_search_volume/live
response = client.post("/v3/ai_optimization/ai_keyword_data/keywords_search_volume/live", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task dataforseo_labs_google_keyword_ideas_live()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }                
            };
            var postData = new List<object>();
            postData.Add(new
            {
                language_name = "English",
                location_code = 2840,
                keywords = new[]
                {
                    "iphone",
                    "seo"
                }
            });
            // POST /v3/ai_optimization/ai_keyword_data/keywords_search_volume/live
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/ai_optimization/ai_keyword_data/keywords_search_volume/live", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20250526",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.3281 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "07091646-1535-0619-0000-34aa8225bd23",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.2683 sec.",
      "cost": 0,
      "result_count": 1,
      "path": [
        "v3",
        "ai_optimization",
        "ai_keyword_data",
        "keywords_search_volume",
        "live"
      ],
      "data": {
        "api": "ai_optimization",
        "function": "keywords_search_volume",
        "language_name": "English",
        "location_code": 2840,
        "keywords": [
          "iphone",
          "seo"
        ]
      },
      "result": [
        {
          "location_code": 2840,
          "language_code": "en",
          "items_count": 2,
          "items": [
            {
              "keyword": "iphone",
              "ai_search_volume": 407838,
              "ai_monthly_searches": [
                {
                  "year": 2025,
                  "month": 5,
                  "ai_search_volume": 407838
                },
                {
                  "year": 2025,
                  "month": 4,
                  "ai_search_volume": 413611
                },
                {
                  "year": 2025,
                  "month": 3,
                  "ai_search_volume": 641232
                },
                {
                  "year": 2025,
                  "month": 2,
                  "ai_search_volume": 634043
                },
                {
                  "year": 2025,
                  "month": 1,
                  "ai_search_volume": 650448
                },
                {
                  "year": 2024,
                  "month": 12,
                  "ai_search_volume": 420931
                },
                {
                  "year": 2024,
                  "month": 11,
                  "ai_search_volume": 466601
                },
                {
                  "year": 2024,
                  "month": 10,
                  "ai_search_volume": 460579
                },
                {
                  "year": 2024,
                  "month": 9,
                  "ai_search_volume": 439763
                },
                {
                  "year": 2024,
                  "month": 8,
                  "ai_search_volume": 0
                },
                {
                  "year": 2024,
                  "month": 7,
                  "ai_search_volume": 0
                },
                {
                  "year": 2024,
                  "month": 6,
                  "ai_search_volume": 0
                }
              ]
            },
            {
              "keyword": "seo",
              "ai_search_volume": 13881,
              "ai_monthly_searches": [
                {
                  "year": 2025,
                  "month": 5,
                  "ai_search_volume": 13881
                },
                {
                  "year": 2025,
                  "month": 4,
                  "ai_search_volume": 13560
                },
                {
                  "year": 2025,
                  "month": 3,
                  "ai_search_volume": 14628
                },
                {
                  "year": 2025,
                  "month": 2,
                  "ai_search_volume": 13789
                },
                {
                  "year": 2025,
                  "month": 1,
                  "ai_search_volume": 14339
                },
                {
                  "year": 2024,
                  "month": 12,
                  "ai_search_volume": 13520
                },
                {
                  "year": 2024,
                  "month": 11,
                  "ai_search_volume": 14802
                },
                {
                  "year": 2024,
                  "month": 10,
                  "ai_search_volume": 14640
                },
                {
                  "year": 2024,
                  "month": 9,
                  "ai_search_volume": 13564
                },
                {
                  "year": 2024,
                  "month": 8,
                  "ai_search_volume": 0
                },
                {
                  "year": 2024,
                  "month": 7,
                  "ai_search_volume": 0
                },
                {
                  "year": 2024,
                  "month": 6,
                  "ai_search_volume": 0
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}